using SqlSugar;
using System;

namespace DeviceRepair.Models.SFC
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("InspBatch")]
    public class InspBatchInfo
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Id", IsIdentity = true)]
        public int Id { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "GUID", IsPrimaryKey = true)]
        public Guid Guid { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Batch", IsPrimaryKey = true)]
        public string Batch { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Product")]
        public string Product { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "MoCode")]
        public string MoCode { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "MoQty")]
        public decimal? MoQty { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ufts")]
        public byte[] Ufts { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateBy")]
        public string CreateBy { get; set; }

        /// <summary>
        ///  
        /// 默认值: (getdate())
        ///</summary>
        [SugarColumn(ColumnName = "CreateOn")]
        public DateTime CreateOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyBy")]
        public string ModifyBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime? ModifyOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "bComplete")]
        public bool? BComplete { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CompleteQty")]
        public decimal? CompleteQty { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ScrapQty")]
        public decimal? ScrapQty { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CompleteBy")]
        public string CompleteBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CompleteOn")]
        public DateTime? CompleteOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "bClosed")]
        public bool? BClosed { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ClosedBy")]
        public string ClosedBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ClosedOn")]
        public DateTime? ClosedOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ClosedDesc")]
        public string ClosedDesc { get; set; }

        /// <summary>
        ///  
        /// 默认值: ('A')
        ///</summary>
        [SugarColumn(ColumnName = "Status")]
        public string Status { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "bLocked")]
        public bool? BLocked { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LockedBy")]
        public string LockedBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LockedOn")]
        public DateTime? LockedOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LockedType")]
        public string LockedType { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LockedDesc")]
        public string LockedDesc { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LockedIP")]
        public string LockedIP { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LockedMAC")]
        public string LockedMAC { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LockedName")]
        public string LockedName { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Note")]
        public string Note { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CompleteBanCi")]
        public string CompleteBanCi { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateBanCi")]
        public string CreateBanCi { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyBanCi")]
        public string ModifyBanCi { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateClient")]
        public string CreateClient { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyClient")]
        public string ModifyClient { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CompleteClient")]
        public string CompleteClient { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CloseClient")]
        public string CloseClient { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ProductName")]
        public string ProductName { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "SapNo")]
        public string SapNo { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "IsFA")]
        public bool? IsFA { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Technology")]
        public string Technology { get; set; }

    }
}
